List deposits (paginated, scoped to caller siteId)
curl --request GET \
--url https://api.example.com/v1/public/deposits \
--header 'X-Signature: <api-key>'import requests
url = "https://api.example.com/v1/public/deposits"
headers = {"X-Signature": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Signature': '<api-key>'}};
fetch('https://api.example.com/v1/public/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "order_42_abc",
"address": "TXYZ...abcd",
"memo": "WP-1A2B3C4D",
"assetCode": "USDT_TRC20",
"expectedAmount": "100.50",
"status": "check",
"expiresAt": "2023-11-07T05:31:56Z",
"explorerAddressUrl": "https://tronscan.org/#/address/TXYZ",
"transaction": {
"networkStatus": "confirmed",
"receivedAmount": "100.500000",
"txhash": "a1b2c3...e9f0",
"confirmations": 12,
"requiredConfirmations": 19,
"blockNumber": "65123456",
"explorerTxUrl": "https://tronscan.org/#/transaction/a1b2c3",
"detectedAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
}
}
],
"meta": {
"page": 1,
"perPage": 20,
"total": 137
}
}public · deposits
List deposits (paginated, scoped to caller siteId)
История депозитов сайта. Пагинация page/perPage, опц. фильтр ?status=paid или ?status=paid,paid_over.
GET
/
v1
/
public
/
deposits
List deposits (paginated, scoped to caller siteId)
Authorizations
HMAC-SHA256-Hex(timestamp + "." + raw_body, api_secret)
Query Parameters
Номер страницы (с 1).
Required range:
x >= 1Размер страницы (макс 100).
Required range:
1 <= x <= 100Фильтр по статусу (одно значение или несколько через запятую). Напр. "paid" или "paid,paid_over".
⌘I